XMLResourceIdentifierImpl (Xerces2 Implementation)
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class XMLResourceIdentifierImpl

    java.lang.Object
      org.apache.xerces.util.XMLResourceIdentifierImpl

All Implemented Interfaces:
  org.apache.xerces.xni.XMLResourceIdentifier

Direct Known Subclasses:
  XMLDTDDescription, XMLEntityDescriptionImpl, XSDDescription

    public class XMLResourceIdentifierImpl

extends java.lang.Object
implements org.apache.xerces.xni.XMLResourceIdentifier

The XMLResourceIdentifierImpl class is an implementation of the XMLResourceIdentifier interface which defines the location identity of a resource.

Version:
  $Id: XMLResourceIdentifierImpl.java 447241 2006-09-18 05:12:57Z mrglavas $
Author:
  Andy Clark

Field Summary
`protected java.lang.String` | `fBaseSystemId` The base system identifier.
`protected java.lang.String` | `fExpandedSystemId` The expanded system identifier.
`protected java.lang.String` | `fLiteralSystemId` The literal system identifier.
`protected java.lang.String` | `fNamespace` The namespace of the resource.
`protected java.lang.String` | `fPublicId` The public identifier.

Constructor Summary
`XMLResourceIdentifierImpl()` Constructs an empty resource identifier.
`XMLResourceIdentifierImpl(java.lang.String publicId, java.lang.String literalSystemId, java.lang.String baseSystemId, java.lang.String expandedSystemId)` Constructs a resource identifier.
`XMLResourceIdentifierImpl(java.lang.String publicId, java.lang.String literalSystemId, java.lang.String baseSystemId, java.lang.String expandedSystemId, java.lang.String namespace)` Constructs a resource identifier.

Method Summary
`void` | `clear()` Clears the values.
`java.lang.String` | `getBaseSystemId()` Returns the base URI against which the literal SystemId is to be resolved.
`java.lang.String` | `getExpandedSystemId()` Returns the expanded system identifier.
`java.lang.String` | `getLiteralSystemId()` Returns the literal system identifier.
`java.lang.String` | `getNamespace()` Returns the namespace of the resource.
`java.lang.String` | `getPublicId()` Returns the public identifier.
`int` | `hashCode()` Returns a hash code for this object.
`void` | `setBaseSystemId(java.lang.String baseSystemId)` Sets the base system identifier.
`void` | `setExpandedSystemId(java.lang.String expandedSystemId)` Sets the expanded system identifier.
`void` | `setLiteralSystemId(java.lang.String literalSystemId)` Sets the literal system identifier.
`void` | `setNamespace(java.lang.String namespace)` Sets the namespace of the resource.
`void` | `setPublicId(java.lang.String publicId)` Sets the public identifier.
`void` | `setValues(java.lang.String publicId, java.lang.String literalSystemId, java.lang.String baseSystemId, java.lang.String expandedSystemId)` Sets the values of the resource identifier.
`void` | `setValues(java.lang.String publicId, java.lang.String literalSystemId, java.lang.String baseSystemId, java.lang.String expandedSystemId, java.lang.String namespace)` Sets the values of the resource identifier.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### fPublicId

    protected java.lang.String fPublicId

  The public identifier.

### fLiteralSystemId

    protected java.lang.String fLiteralSystemId

  The literal system identifier.

### fBaseSystemId

    protected java.lang.String fBaseSystemId

  The base system identifier.

### fExpandedSystemId

    protected java.lang.String fExpandedSystemId

  The expanded system identifier.

### fNamespace

    protected java.lang.String fNamespace

  The namespace of the resource.

Constructor Detail

### XMLResourceIdentifierImpl

    public XMLResourceIdentifierImpl()

  Constructs an empty resource identifier.

### XMLResourceIdentifierImpl

    public XMLResourceIdentifierImpl(java.lang.String publicId,
                                     java.lang.String literalSystemId,
                                     java.lang.String baseSystemId,
                                     java.lang.String expandedSystemId)

  Constructs a resource identifier.

  Parameters:
    `publicId` - The public identifier.
    `literalSystemId` - The literal system identifier.
    `baseSystemId` - The base system identifier.
    `expandedSystemId` - The expanded system identifier.

### XMLResourceIdentifierImpl

    public XMLResourceIdentifierImpl(java.lang.String publicId,
                                     java.lang.String literalSystemId,
                                     java.lang.String baseSystemId,
                                     java.lang.String expandedSystemId,
                                     java.lang.String namespace)

  Constructs a resource identifier.

  Parameters:
    `publicId` - The public identifier.
    `literalSystemId` - The literal system identifier.
    `baseSystemId` - The base system identifier.
    `expandedSystemId` - The expanded system identifier.
    `namespace` - The namespace.

Method Detail

### setValues

    public void setValues(java.lang.String publicId,
                          java.lang.String literalSystemId,
                          java.lang.String baseSystemId,
                          java.lang.String expandedSystemId)

  Sets the values of the resource identifier.

### setValues

    public void setValues(java.lang.String publicId,
                          java.lang.String literalSystemId,
                          java.lang.String baseSystemId,
                          java.lang.String expandedSystemId,
                          java.lang.String namespace)

  Sets the values of the resource identifier.

### clear

    public void clear()

  Clears the values.

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Sets the public identifier.

  Specified by:
    `setPublicId` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### setLiteralSystemId

    public void setLiteralSystemId(java.lang.String literalSystemId)

  Sets the literal system identifier.

  Specified by:
    `setLiteralSystemId` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### setBaseSystemId

    public void setBaseSystemId(java.lang.String baseSystemId)

  Sets the base system identifier.

  Specified by:
    `setBaseSystemId` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### setExpandedSystemId

    public void setExpandedSystemId(java.lang.String expandedSystemId)

  Sets the expanded system identifier.

  Specified by:
    `setExpandedSystemId` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Sets the namespace of the resource.

  Specified by:
    `setNamespace` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### getPublicId

    public java.lang.String getPublicId()

  Returns the public identifier.

  Specified by:
    `getPublicId` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### getLiteralSystemId

    public java.lang.String getLiteralSystemId()

  Returns the literal system identifier.

  Specified by:
    `getLiteralSystemId` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### getBaseSystemId

    public java.lang.String getBaseSystemId()

  Returns the base URI against which the literal SystemId is to be resolved.

  Specified by:
    `getBaseSystemId` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### getExpandedSystemId

    public java.lang.String getExpandedSystemId()

  Returns the expanded system identifier.

  Specified by:
    `getExpandedSystemId` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### getNamespace

    public java.lang.String getNamespace()

  Returns the namespace of the resource.

  Specified by:
    `getNamespace` in interface `org.apache.xerces.xni.XMLResourceIdentifier`

### hashCode

    public int hashCode()

  Returns a hash code for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.